/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package View;

import Controller.*;
import Model.*;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;

/**
 *
 * @author andre
 */
public class ToDoList extends javax.swing.JFrame {

    /**
     * Creates new form ToDoList
     */
    public ToDoList() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPaneUsuarioTarefa = new javax.swing.JTabbedPane();
        jPanelUsuario = new javax.swing.JPanel();
        jTabbedPaneUsuarioThings = new javax.swing.JTabbedPane();
        jPanelAddUser = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jTextFieldAddUserName = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldAddUserID = new javax.swing.JTextField();
        jButtonSalvarUser = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        jPanelEditUser = new javax.swing.JPanel();
        jLabel3 = new javax.swing.JLabel();
        jTextFieldEditUser = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        jTextFieldUserNewName = new javax.swing.JTextField();
        jButtonEditUser = new javax.swing.JButton();
        jPanelDelUser = new javax.swing.JPanel();
        jLabel5 = new javax.swing.JLabel();
        jTextFieldIdRemoveUser = new javax.swing.JTextField();
        jButtonRemoveUser = new javax.swing.JButton();
        jPanelUserTasks = new javax.swing.JPanel();
        jLabel17 = new javax.swing.JLabel();
        jTextFieldIdUserShowTasks = new javax.swing.JTextField();
        jButtonSearchUserTasks = new javax.swing.JButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTextAreaShowUserTasksHere = new javax.swing.JTextArea();
        jPanelTarefa = new javax.swing.JPanel();
        jTabbedPaneTarefasThings = new javax.swing.JTabbedPane();
        jPanelAddTask = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jTextFieldAddTaskDescription = new javax.swing.JTextField();
        jTextFieldAddTaskId = new javax.swing.JTextField();
        jButtonAddTask = new javax.swing.JButton();
        jFormattedTextFieldAddTaskData = new javax.swing.JFormattedTextField();
        jTextFieldAddTaskIdUser = new javax.swing.JTextField();
        jPanelEditTask = new javax.swing.JPanel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jTextFieldEditTaskSearchTask = new javax.swing.JTextField();
        jTextFieldEditDescription = new javax.swing.JTextField();
        jTextFieldEditTaskAssignedUser = new javax.swing.JTextField();
        jFormattedTextField2 = new javax.swing.JFormattedTextField();
        jButtonEditTask = new javax.swing.JButton();
        jPanelDelTask = new javax.swing.JPanel();
        jLabel16 = new javax.swing.JLabel();
        jTextFieldDelTaskIDTask = new javax.swing.JTextField();
        jButtonDelTask = new javax.swing.JButton();
        jPanelAllTasks = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        jTextAreaShowAllTasks = new javax.swing.JTextArea();
        jButtonShowAllTasks = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jLabel1.setText("Nome:");

        jLabel2.setText("ID de Usuário:");

        jButtonSalvarUser.setText("Salvar");
        jButtonSalvarUser.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonSalvarUserMouseClicked(evt);
            }
        });
        jButtonSalvarUser.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSalvarUserActionPerformed(evt);
            }
        });

        jLabel6.setText("Novo Usuário");

        javax.swing.GroupLayout jPanelAddUserLayout = new javax.swing.GroupLayout(jPanelAddUser);
        jPanelAddUser.setLayout(jPanelAddUserLayout);
        jPanelAddUserLayout.setHorizontalGroup(
            jPanelAddUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelAddUserLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelAddUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanelAddUserLayout.createSequentialGroup()
                        .addGroup(jPanelAddUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel2)
                            .addComponent(jLabel1))
                        .addGap(18, 18, 18)
                        .addGroup(jPanelAddUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextFieldAddUserName)
                            .addComponent(jTextFieldAddUserID)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelAddUserLayout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jButtonSalvarUser)))
                .addContainerGap())
            .addGroup(jPanelAddUserLayout.createSequentialGroup()
                .addGap(202, 202, 202)
                .addComponent(jLabel6)
                .addContainerGap(205, Short.MAX_VALUE))
        );
        jPanelAddUserLayout.setVerticalGroup(
            jPanelAddUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelAddUserLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel6)
                .addGap(39, 39, 39)
                .addGroup(jPanelAddUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jTextFieldAddUserName, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelAddUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextFieldAddUserID, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 215, Short.MAX_VALUE)
                .addComponent(jButtonSalvarUser)
                .addContainerGap())
        );

        jTabbedPaneUsuarioThings.addTab("Adicionar", jPanelAddUser);

        jLabel3.setText("ID do Usuário:");

        jLabel4.setText("Novo Nome:");

        jButtonEditUser.setText("Alterar");
        jButtonEditUser.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonEditUserMouseClicked(evt);
            }
        });
        jButtonEditUser.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEditUserActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelEditUserLayout = new javax.swing.GroupLayout(jPanelEditUser);
        jPanelEditUser.setLayout(jPanelEditUserLayout);
        jPanelEditUserLayout.setHorizontalGroup(
            jPanelEditUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelEditUserLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelEditUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanelEditUserLayout.createSequentialGroup()
                        .addGroup(jPanelEditUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel3)
                            .addComponent(jLabel4))
                        .addGap(18, 18, 18)
                        .addGroup(jPanelEditUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextFieldEditUser, javax.swing.GroupLayout.DEFAULT_SIZE, 372, Short.MAX_VALUE)
                            .addComponent(jTextFieldUserNewName)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelEditUserLayout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jButtonEditUser)))
                .addContainerGap())
        );
        jPanelEditUserLayout.setVerticalGroup(
            jPanelEditUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelEditUserLayout.createSequentialGroup()
                .addGap(64, 64, 64)
                .addGroup(jPanelEditUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel3)
                    .addComponent(jTextFieldEditUser, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelEditUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel4)
                    .addComponent(jTextFieldUserNewName, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 212, Short.MAX_VALUE)
                .addComponent(jButtonEditUser)
                .addContainerGap())
        );

        jTabbedPaneUsuarioThings.addTab("Editar", jPanelEditUser);

        jLabel5.setText("ID do Usuário:");

        jButtonRemoveUser.setText("Remover");
        jButtonRemoveUser.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonRemoveUserMouseClicked(evt);
            }
        });
        jButtonRemoveUser.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonRemoveUserActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelDelUserLayout = new javax.swing.GroupLayout(jPanelDelUser);
        jPanelDelUser.setLayout(jPanelDelUserLayout);
        jPanelDelUserLayout.setHorizontalGroup(
            jPanelDelUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelDelUserLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelDelUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanelDelUserLayout.createSequentialGroup()
                        .addComponent(jLabel5)
                        .addGap(18, 18, 18)
                        .addComponent(jTextFieldIdRemoveUser, javax.swing.GroupLayout.DEFAULT_SIZE, 372, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelDelUserLayout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jButtonRemoveUser)))
                .addContainerGap())
        );
        jPanelDelUserLayout.setVerticalGroup(
            jPanelDelUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelDelUserLayout.createSequentialGroup()
                .addGap(65, 65, 65)
                .addGroup(jPanelDelUserLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel5)
                    .addComponent(jTextFieldIdRemoveUser, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 257, Short.MAX_VALUE)
                .addComponent(jButtonRemoveUser)
                .addContainerGap())
        );

        jTabbedPaneUsuarioThings.addTab("Remover", jPanelDelUser);

        jLabel17.setText("ID do Usuário:");

        jButtonSearchUserTasks.setText("Pesquisar");
        jButtonSearchUserTasks.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonSearchUserTasksMouseClicked(evt);
            }
        });
        jButtonSearchUserTasks.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonSearchUserTasksActionPerformed(evt);
            }
        });

        jTextAreaShowUserTasksHere.setColumns(20);
        jTextAreaShowUserTasksHere.setRows(5);
        jScrollPane1.setViewportView(jTextAreaShowUserTasksHere);

        javax.swing.GroupLayout jPanelUserTasksLayout = new javax.swing.GroupLayout(jPanelUserTasks);
        jPanelUserTasks.setLayout(jPanelUserTasksLayout);
        jPanelUserTasksLayout.setHorizontalGroup(
            jPanelUserTasksLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelUserTasksLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelUserTasksLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanelUserTasksLayout.createSequentialGroup()
                        .addComponent(jScrollPane1)
                        .addContainerGap())
                    .addGroup(jPanelUserTasksLayout.createSequentialGroup()
                        .addComponent(jLabel17)
                        .addGap(18, 18, 18)
                        .addComponent(jTextFieldIdUserShowTasks, javax.swing.GroupLayout.PREFERRED_SIZE, 121, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 153, Short.MAX_VALUE)
                        .addComponent(jButtonSearchUserTasks))))
        );
        jPanelUserTasksLayout.setVerticalGroup(
            jPanelUserTasksLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelUserTasksLayout.createSequentialGroup()
                .addGap(16, 16, 16)
                .addGroup(jPanelUserTasksLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel17)
                    .addComponent(jTextFieldIdUserShowTasks, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButtonSearchUserTasks))
                .addGap(18, 18, 18)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 315, Short.MAX_VALUE)
                .addContainerGap())
        );

        jTabbedPaneUsuarioThings.addTab("Tarefas", jPanelUserTasks);

        javax.swing.GroupLayout jPanelUsuarioLayout = new javax.swing.GroupLayout(jPanelUsuario);
        jPanelUsuario.setLayout(jPanelUsuarioLayout);
        jPanelUsuarioLayout.setHorizontalGroup(
            jPanelUsuarioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelUsuarioLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPaneUsuarioThings)
                .addContainerGap())
        );
        jPanelUsuarioLayout.setVerticalGroup(
            jPanelUsuarioLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelUsuarioLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPaneUsuarioThings)
                .addContainerGap())
        );

        jTabbedPaneUsuarioTarefa.addTab("Usuário", jPanelUsuario);

        jLabel7.setText("Nova Tarefa");

        jLabel8.setText("Descrição:");

        jLabel9.setText("ID da Tarefa:");

        jLabel10.setText("Data:");

        jLabel11.setText("ID do Usuário:");

        jButtonAddTask.setText("Salvar");
        jButtonAddTask.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonAddTaskMouseClicked(evt);
            }
        });
        jButtonAddTask.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonAddTaskActionPerformed(evt);
            }
        });

        jFormattedTextFieldAddTaskData.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.DateFormatter()));
        jFormattedTextFieldAddTaskData.setText("dd/mm/aaaa");

        javax.swing.GroupLayout jPanelAddTaskLayout = new javax.swing.GroupLayout(jPanelAddTask);
        jPanelAddTask.setLayout(jPanelAddTaskLayout);
        jPanelAddTaskLayout.setHorizontalGroup(
            jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelAddTaskLayout.createSequentialGroup()
                .addGroup(jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanelAddTaskLayout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel9)
                            .addComponent(jLabel10)
                            .addComponent(jLabel8))
                        .addGroup(jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanelAddTaskLayout.createSequentialGroup()
                                .addGap(18, 18, 18)
                                .addGroup(jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jTextFieldAddTaskDescription)
                                    .addComponent(jTextFieldAddTaskId)))
                            .addGroup(jPanelAddTaskLayout.createSequentialGroup()
                                .addGap(22, 22, 22)
                                .addComponent(jFormattedTextFieldAddTaskData, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(0, 0, Short.MAX_VALUE))))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelAddTaskLayout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jButtonAddTask))
                    .addGroup(jPanelAddTaskLayout.createSequentialGroup()
                        .addGap(205, 205, 205)
                        .addComponent(jLabel7)
                        .addGap(0, 206, Short.MAX_VALUE))
                    .addGroup(jPanelAddTaskLayout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLabel11)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addComponent(jTextFieldAddTaskIdUser)))
                .addContainerGap())
        );
        jPanelAddTaskLayout.setVerticalGroup(
            jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelAddTaskLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel7)
                .addGap(30, 30, 30)
                .addGroup(jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPanelAddTaskLayout.createSequentialGroup()
                        .addGroup(jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel8)
                            .addComponent(jTextFieldAddTaskDescription, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addComponent(jLabel9))
                    .addComponent(jTextFieldAddTaskId, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel10)
                    .addComponent(jFormattedTextFieldAddTaskData, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelAddTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel11)
                    .addComponent(jTextFieldAddTaskIdUser, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 144, Short.MAX_VALUE)
                .addComponent(jButtonAddTask)
                .addContainerGap())
        );

        jTabbedPaneTarefasThings.addTab("Adicionar", jPanelAddTask);

        jLabel12.setText("ID da Tarefa a Alterar:");

        jLabel13.setText("Descrição:");

        jLabel14.setText("Usuário Responsável:");

        jLabel15.setText("Data:");

        jFormattedTextField2.setFormatterFactory(new javax.swing.text.DefaultFormatterFactory(new javax.swing.text.DateFormatter()));
        jFormattedTextField2.setText("24/12/2014");

        jButtonEditTask.setText("Alterar");
        jButtonEditTask.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonEditTaskMouseClicked(evt);
            }
        });
        jButtonEditTask.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonEditTaskActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelEditTaskLayout = new javax.swing.GroupLayout(jPanelEditTask);
        jPanelEditTask.setLayout(jPanelEditTaskLayout);
        jPanelEditTaskLayout.setHorizontalGroup(
            jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelEditTaskLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanelEditTaskLayout.createSequentialGroup()
                        .addGroup(jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel12)
                            .addComponent(jLabel13)
                            .addComponent(jLabel14)
                            .addComponent(jLabel15))
                        .addGap(18, 18, 18)
                        .addGroup(jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTextFieldEditTaskSearchTask)
                            .addComponent(jTextFieldEditDescription)
                            .addComponent(jTextFieldEditTaskAssignedUser)
                            .addGroup(jPanelEditTaskLayout.createSequentialGroup()
                                .addComponent(jFormattedTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(0, 224, Short.MAX_VALUE))))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelEditTaskLayout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jButtonEditTask)))
                .addContainerGap())
        );
        jPanelEditTaskLayout.setVerticalGroup(
            jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelEditTaskLayout.createSequentialGroup()
                .addGap(34, 34, 34)
                .addGroup(jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel12)
                    .addComponent(jTextFieldEditTaskSearchTask, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel13)
                    .addComponent(jTextFieldEditDescription, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel14)
                    .addComponent(jTextFieldEditTaskAssignedUser, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(jPanelEditTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel15)
                    .addComponent(jFormattedTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 150, Short.MAX_VALUE)
                .addComponent(jButtonEditTask)
                .addContainerGap())
        );

        jTabbedPaneTarefasThings.addTab("Editar", jPanelEditTask);

        jLabel16.setText("ID da Tarefa a Remover:");

        jButtonDelTask.setText("Remover");
        jButtonDelTask.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonDelTaskMouseClicked(evt);
            }
        });
        jButtonDelTask.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonDelTaskActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelDelTaskLayout = new javax.swing.GroupLayout(jPanelDelTask);
        jPanelDelTask.setLayout(jPanelDelTaskLayout);
        jPanelDelTaskLayout.setHorizontalGroup(
            jPanelDelTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelDelTaskLayout.createSequentialGroup()
                .addGroup(jPanelDelTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanelDelTaskLayout.createSequentialGroup()
                        .addComponent(jLabel16)
                        .addGap(18, 18, 18)
                        .addComponent(jTextFieldDelTaskIDTask, javax.swing.GroupLayout.DEFAULT_SIZE, 319, Short.MAX_VALUE))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelDelTaskLayout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(jButtonDelTask)))
                .addContainerGap())
        );
        jPanelDelTaskLayout.setVerticalGroup(
            jPanelDelTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelDelTaskLayout.createSequentialGroup()
                .addGap(93, 93, 93)
                .addGroup(jPanelDelTaskLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel16)
                    .addComponent(jTextFieldDelTaskIDTask, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 229, Short.MAX_VALUE)
                .addComponent(jButtonDelTask)
                .addContainerGap())
        );

        jTabbedPaneTarefasThings.addTab("Remover", jPanelDelTask);

        jTextAreaShowAllTasks.setColumns(20);
        jTextAreaShowAllTasks.setRows(5);
        jScrollPane2.setViewportView(jTextAreaShowAllTasks);

        jButtonShowAllTasks.setText("Atualizar");
        jButtonShowAllTasks.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jButtonShowAllTasksMouseClicked(evt);
            }
        });
        jButtonShowAllTasks.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonShowAllTasksActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPanelAllTasksLayout = new javax.swing.GroupLayout(jPanelAllTasks);
        jPanelAllTasks.setLayout(jPanelAllTasksLayout);
        jPanelAllTasksLayout.setHorizontalGroup(
            jPanelAllTasksLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE)
            .addGroup(jPanelAllTasksLayout.createSequentialGroup()
                .addGap(194, 194, 194)
                .addComponent(jButtonShowAllTasks)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanelAllTasksLayout.setVerticalGroup(
            jPanelAllTasksLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanelAllTasksLayout.createSequentialGroup()
                .addGap(0, 21, Short.MAX_VALUE)
                .addComponent(jButtonShowAllTasks)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 323, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        jTabbedPaneTarefasThings.addTab("Todas", jPanelAllTasks);

        javax.swing.GroupLayout jPanelTarefaLayout = new javax.swing.GroupLayout(jPanelTarefa);
        jPanelTarefa.setLayout(jPanelTarefaLayout);
        jPanelTarefaLayout.setHorizontalGroup(
            jPanelTarefaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelTarefaLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPaneTarefasThings)
                .addContainerGap())
        );
        jPanelTarefaLayout.setVerticalGroup(
            jPanelTarefaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanelTarefaLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPaneTarefasThings)
                .addContainerGap())
        );

        jTabbedPaneUsuarioTarefa.addTab("Tarefa", jPanelTarefa);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPaneUsuarioTarefa)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jTabbedPaneUsuarioTarefa)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    ControleUsuario controleUsuario = new ControleUsuario();
    ControleTarefa controleTarefa = new ControleTarefa();
/*
    private void jButtonSearchUserTasksMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonSearchUserTasksMouseClicked
       
    }//GEN-LAST:event_jButtonSearchUserTasksMouseClicked
*/
    private void jButtonSearchUserTasksActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSearchUserTasksActionPerformed
        // TODO add your handling code here:
        Usuario mostrarTarefas = controleUsuario.searchUserId(jTextFieldIdUserShowTasks.getText());
        jTextAreaShowUserTasksHere.setText(mostrarTarefas.getTarefasUser().toString());
    }//GEN-LAST:event_jButtonSearchUserTasksActionPerformed
/*
    private void jButtonEditUserMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonEditUserMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonEditUserMouseClicked

    private void jButtonAddTaskMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonAddTaskMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonAddTaskMouseClicked

    private void jButtonDelTaskMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonDelTaskMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonDelTaskMouseClicked

    private void jButtonSalvarUserMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonSalvarUserMouseClicked
        // TODO add your handling code here:
        Usuario usuario = new Usuario();
        usuario.setNome(jTextFieldAddUserName.getText());
        usuario.setIdUser(jTextFieldAddUserID.getText());
        controleUsuario.addUser(usuario);
        limparTela();
    }//GEN-LAST:event_jButtonSalvarUserMouseClicked

    private void jButtonRemoveUserMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonRemoveUserMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonRemoveUserMouseClicked

    private void jButtonEditTaskMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonEditTaskMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonEditTaskMouseClicked

    private void jButtonShowAllTasksMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jButtonShowAllTasksMouseClicked
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonShowAllTasksMouseClicked
*/
    private void jButtonSalvarUserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonSalvarUserActionPerformed
        // TODO add your handling code here:
        Usuario usuario = new Usuario();
        usuario.setNome(jTextFieldAddUserName.getText());
        usuario.setIdUser(jTextFieldAddUserID.getText());
        JOptionPane.showMessageDialog(null, controleUsuario.addUser(usuario));
    }//GEN-LAST:event_jButtonSalvarUserActionPerformed

    private void jButtonEditUserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEditUserActionPerformed
        // TODO add your handling code here:
        controleUsuario.searchUserId(jTextFieldEditUser.getText()).setNome(jTextFieldUserNewName.getText());
        JOptionPane.showMessageDialog(null, "Usuario Alterado!");
    }//GEN-LAST:event_jButtonEditUserActionPerformed

    private void jButtonRemoveUserActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonRemoveUserActionPerformed
        // TODO add your handling code here:
        Usuario deletar = controleUsuario.searchUserId(jTextFieldIdRemoveUser.getText());
        controleUsuario.delUser(deletar);
        JOptionPane.showMessageDialog(null, "Usuario Alterado!");
    }//GEN-LAST:event_jButtonRemoveUserActionPerformed

    private void jButtonAddTaskActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonAddTaskActionPerformed
        // TODO add your handling code here:
        Tarefa umaTarefa = new Tarefa();
        umaTarefa.setAssignedUserId(jTextFieldAddTaskIdUser.getText());
        SimpleDateFormat sdt = new SimpleDateFormat();
        Date data = new Date();
        try {
            data = sdt.parse(jFormattedTextFieldAddTaskData.getText());
        } catch (ParseException ex) {
            Logger.getLogger(ToDoList.class.getName()).log(Level.SEVERE, null, ex);
        }
        umaTarefa.setData(data);
        umaTarefa.setDescricao(jTextFieldAddTaskDescription.getText());
        umaTarefa.setIdTarefa(jTextFieldAddTaskId.getText());
    }//GEN-LAST:event_jButtonAddTaskActionPerformed

    private void jButtonEditTaskActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonEditTaskActionPerformed
        // TODO add your handling code here:
        Tarefa editTarefa = controleTarefa.searchTask(jTextFieldEditTaskSearchTask.getText());
        editTarefa.setDescricao(jTextFieldEditDescription.getText());
        SimpleDateFormat sdt = new SimpleDateFormat();
        Date data = new Date();
        try {
            data = sdt.parse(jFormattedTextField2.getText());
        } catch (ParseException ex) {
            Logger.getLogger(ToDoList.class.getName()).log(Level.SEVERE, null, ex);
        }
        editTarefa.setData(data);
        editTarefa.setAssignedUserId(jTextFieldEditTaskAssignedUser.getText());
    }//GEN-LAST:event_jButtonEditTaskActionPerformed

    private void jButtonDelTaskActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonDelTaskActionPerformed
        // TODO add your handling code here:
        Tarefa umaTarefa = controleTarefa.searchTask(jTextFieldDelTaskIDTask.getText());
        String userID = umaTarefa.getAssignedUserId();
        controleTarefa.delTask(umaTarefa, userID);
        JOptionPane.showMessageDialog(null, "Deletada!");
    }//GEN-LAST:event_jButtonDelTaskActionPerformed

    private void jButtonShowAllTasksActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonShowAllTasksActionPerformed
        // TODO add your handling code here:
        jTextAreaShowAllTasks.setText(controleTarefa.getListaTarefasTotal().toString());
    }//GEN-LAST:event_jButtonShowAllTasksActionPerformed
/*
    public void limparTela(){
        jTextFieldAddTaskDescription.setText("");
        jTextFieldAddTaskId.setText("");
        jTextFieldAddTaskIdUser.setText("");
        jTextFieldAddUserID.setText("");
        jTextFieldAddUserName.setText("");
        jTextFieldDelTaskIDTask.setText("");
        jTextFieldEditDescription.setText("");
        jTextFieldEditTaskAssignedUser.setText("");
        jTextFieldEditTaskSearchTask.setText("");
        jTextFieldEditUser.setText("");
        jTextFieldIdRemoveUser.setText("");
        jTextFieldIdUserShowTasks.setText("");
        jTextFieldUserNewName.setText("");
    }
    */
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(ToDoList.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(ToDoList.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(ToDoList.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(ToDoList.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new ToDoList().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonAddTask;
    private javax.swing.JButton jButtonDelTask;
    private javax.swing.JButton jButtonEditTask;
    private javax.swing.JButton jButtonEditUser;
    private javax.swing.JButton jButtonRemoveUser;
    private javax.swing.JButton jButtonSalvarUser;
    private javax.swing.JButton jButtonSearchUserTasks;
    private javax.swing.JButton jButtonShowAllTasks;
    private javax.swing.JFormattedTextField jFormattedTextField2;
    private javax.swing.JFormattedTextField jFormattedTextFieldAddTaskData;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanelAddTask;
    private javax.swing.JPanel jPanelAddUser;
    private javax.swing.JPanel jPanelAllTasks;
    private javax.swing.JPanel jPanelDelTask;
    private javax.swing.JPanel jPanelDelUser;
    private javax.swing.JPanel jPanelEditTask;
    private javax.swing.JPanel jPanelEditUser;
    private javax.swing.JPanel jPanelTarefa;
    private javax.swing.JPanel jPanelUserTasks;
    private javax.swing.JPanel jPanelUsuario;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTabbedPane jTabbedPaneTarefasThings;
    private javax.swing.JTabbedPane jTabbedPaneUsuarioTarefa;
    private javax.swing.JTabbedPane jTabbedPaneUsuarioThings;
    private javax.swing.JTextArea jTextAreaShowAllTasks;
    private javax.swing.JTextArea jTextAreaShowUserTasksHere;
    private javax.swing.JTextField jTextFieldAddTaskDescription;
    private javax.swing.JTextField jTextFieldAddTaskId;
    private javax.swing.JTextField jTextFieldAddTaskIdUser;
    private javax.swing.JTextField jTextFieldAddUserID;
    private javax.swing.JTextField jTextFieldAddUserName;
    private javax.swing.JTextField jTextFieldDelTaskIDTask;
    private javax.swing.JTextField jTextFieldEditDescription;
    private javax.swing.JTextField jTextFieldEditTaskAssignedUser;
    private javax.swing.JTextField jTextFieldEditTaskSearchTask;
    private javax.swing.JTextField jTextFieldEditUser;
    private javax.swing.JTextField jTextFieldIdRemoveUser;
    private javax.swing.JTextField jTextFieldIdUserShowTasks;
    private javax.swing.JTextField jTextFieldUserNewName;
    // End of variables declaration//GEN-END:variables
}
